<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset='utf-8'/>
	<link rel='stylesheet' href='openwrt.css' />
	<title>OpenWrt Downloads</title>
</head>
<body>

<header>
      <div>
        <img src="images/logo.png" alt="OpenWrt Downloads" >
      </div>
</header>
<div class="container">
<h1>OpenWrt Downloads</h1>
<div>
	<p>
		Welcome to the OpenWrt download area. Follow the links below to find the
		appropriate directory.
	</p>
	<hr>

	<h2>Stable Release</h2>
	<p>
		The current OpenWrt release is linked below. 
		We advise you to use this stable release if possible.
	</p>
	<ul>
		<li>
			<strong><a href="releases/19.07.3/targets/">OpenWrt 19.07.3</a></strong><br>
			<small>Released: Fri, 20 May 2020</small><br /><br />
		</li>
	</ul>
	<hr>

	<h2>Old Stable Release</h2>
	<p>
		The OpenWrt 18.06 release is considered outdated but will still receive limited
		security and bug fixes for some time.
	</p>
	<ul>
		<li>
			<strong><a href="releases/18.06.8/targets/">OpenWrt 18.06.8</a></strong><br>
			<small>Released: Fri, 6 Mar 2020</small><br /><br />
		</li>
	</ul>
	<hr>

	<h2>Development Snapshots</h2>
	<p>
		Development snapshots are automatic unattended daily builds of the current
		OpenWrt development master branch. Bear in mind that these images are generally
		not tested, use them at your own risk.
	</p>
	<ul>
		<li><a href="snapshots/targets/">Snapshot download</a></li>
	</ul>
	<hr>

	<h2>Release Archive</h2>
	<p>
		The releases linked below are mostly for historic interest - they're generally
		out of date and no longer maintained.
	</p>
	<ul>
		<li><a href="//archive.openwrt.org/releases/19.07.2/targets/">OpenWrt 19.07.2</a></li>
		<li><a href="//archive.openwrt.org/releases/19.07.1/targets/">OpenWrt 19.07.1</a></li>
		<li><a href="//archive.openwrt.org/releases/19.07.0/targets/">OpenWrt 19.07.0</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.7/targets/">OpenWrt 18.06.7</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.6/targets/">OpenWrt 18.06.6</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.5/targets/">OpenWrt 18.06.5</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.4/targets/">OpenWrt 18.06.4</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.3/targets/">OpenWrt 18.06.3</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.2/targets/">OpenWrt 18.06.2</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.1/targets/">OpenWrt 18.06.1</a></li>
		<li><a href="//archive.openwrt.org/releases/18.06.0/targets/">OpenWrt 18.06.0</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.7/targets/">LEDE 17.01.7</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.6/targets/">LEDE 17.01.6</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.5/targets/">LEDE 17.01.5</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.4/targets/">LEDE 17.01.4</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.3/targets/">LEDE 17.01.3</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.2/targets/">LEDE 17.01.2</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.1/targets/">LEDE 17.01.1</a></li>
		<li><a href="//archive.openwrt.org/releases/17.01.0/targets/">LEDE 17.01.0</a></li>
		<li><a href="//archive.openwrt.org/chaos_calmer/15.05.1/">Chaos Calmer 15.05.1</a></li>
		<li><a href="//archive.openwrt.org/chaos_calmer/15.05/">Chaos Calmer 15.05</a></li>
		<li><a href="//archive.openwrt.org/barrier_breaker/14.07/">Barrier Breaker 14.07</a></li>
		<li><a href="//archive.openwrt.org/attitude_adjustment/12.09/">Attitude Adjustment 12.09</a></li>
		<li><a href="//archive.openwrt.org/backfire/10.03.1/">Backfire 10.03.1</a></li>
		<li><a href="//archive.openwrt.org/backfire/10.03/">Backfire 10.03</a></li>
		<li><a href="//archive.openwrt.org/kamikaze/8.09.2/">Kamikaze 8.09.2</a></li>
		<li><a href="//archive.openwrt.org/kamikaze/8.09.1/">Kamikaze 8.09.1</a></li>
		<li><a href="//archive.openwrt.org/kamikaze/8.09/">Kamikaze 8.09</a></li>
		<li><a href="//archive.openwrt.org/kamikaze/7.09/">Kamikaze 7.09</a></li>
		<li><a href="//archive.openwrt.org/kamikaze/7.07/">Kamikaze 7.07</a></li>
		<li><a href="//archive.openwrt.org/kamikaze/7.06/">Kamikaze 7.06</a></li>
		<li><a href="//archive.openwrt.org/whiterussian/0.9/">Whiterussian 0.9</a></li>
	</ul>
</div>

<footer>Open Source Downloads supported by <a href="https://www.keycdn.com/">KeyCDN</a>.</footer>
</div>
</body>
</html>

